<?php

class Autoklasse {

public function getGeschwindigkeit() {

return $this->geschwindigkeit;

}

public function setGeschwindigkeit($neuerWert) {

$this->geschwindigkeit = $neuerWert;

}

}

//Entsprechende Aufrufe sehen dann wie folgt aus (vorausgesetzt, es gibt bereits ein Objekt $auto1 vom Typ Autoklasse):

$auto1->setGeschwindigkeit(100);

echo $auto1->getGeschwindigkeit();

//Die erste Anweisung setzt den Wert von $geschwindigkeit auf 100. Die zweite gibt den jetzt geänderten Wert aus.

?>